<?php
/**
 * app/controllers/canary.php
 *
 * This is the canary controller.
 *
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Controllers;

use TheTempusProject\Hermes\Functions\Redirect;
use TheTempusProject\Bedrock\Functions\Session;
use TheTempusProject\Bedrock\Functions\Check;
use TheTempusProject\Bedrock\Functions\Input;
use TheTempusProject\Hermes\Functions\Route as Routes;
use TheTempusProject\Houdini\Classes\Issues;
use TheTempusProject\Houdini\Classes\Views;
use TheTempusProject\Houdini\Classes\Components;
use TheTempusProject\Houdini\Classes\Template;
use TheTempusProject\Classes\Controller;
use TheTempusProject\Classes\Forms;
use TheTempusProject\TheTempusProject as App;

class Canary extends Controller {
    public function index() {
        self::$title = '{SITENAME} - Canary';
        self::$pageDescription = 'Canary is a dependency of {SITENAME} that both records and reports logs from various PHP applications.';
        Views::view( 'deps.canary' );
    }

    public function packagist() {
        Redirect::external( 'https://packagist.org/packages/thetempusproject/canary' );
    }

    public function git() {
        Redirect::external( 'https://git.thetempusproject.com/the-tempus-project/canary' );
    }

    public function changes() {
        self::$title = '{SITENAME} - Canary Changes';
        self::$pageDescription = 'Canary is a dependency of {SITENAME} and this pages lists the most recent changes with some details on those changes.';
        Views::view( 'changes.canary' );
    }
}
