<?php
/**
 * app/controllers/houdini.php
 *
 * This is the houdini controller.
 *
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Controllers;

use TheTempusProject\Hermes\Functions\Redirect;
use TheTempusProject\Bedrock\Functions\Session;
use TheTempusProject\Bedrock\Functions\Check;
use TheTempusProject\Bedrock\Functions\Input;
use TheTempusProject\Hermes\Functions\Route as Routes;
use TheTempusProject\Houdini\Classes\Issues;
use TheTempusProject\Houdini\Classes\Views;
use TheTempusProject\Houdini\Classes\Components;
use TheTempusProject\Houdini\Classes\Template;
use TheTempusProject\Classes\Controller;
use TheTempusProject\Classes\Forms;
use TheTempusProject\TheTempusProject as App;

class Houdini extends Controller {
    public function index() {
        self::$title = '{SITENAME} - Houdini';
        self::$pageDescription = 'Houdini is a dependency of {SITENAME} that allows for the creation and manipulation of objects used in html page creation.';
        Views::view( 'deps.houdini' );
    }

    public function packagist() {
        Redirect::external( 'https://packagist.org/packages/thetempusproject/houdini' );
    }

    public function git() {
        Redirect::external( 'https://git.thetempusproject.com/the-tempus-project/houdini' );
    }

    public function changes() {
        self::$title = '{SITENAME} - Houdini Changes';
        self::$pageDescription = 'Houdini is a dependency of {SITENAME} and this pages lists the most recent changes with some details on those changes.';
        Views::view( 'changes.houdini' );
    }
}
