<!DOCTYPE html>
<html lang="en">
    <!--
     * app/plugins/blog/templates/blog.tpl
     *
     * @package TP Blog
     * @version 5.0.1
     * @author  Joey Kimsey <Joey@thetempusproject.com>
     * @link    https://TheTempusProject.com
     * @license https://opensource.org/licenses/MIT [MIT LICENSE]
    -->
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta property="og:url" content="{CURRENT_URL}">
        <meta name='twitter:card' content='summary_large_image'>
        <title>{TITLE}</title>
        <meta itemprop="name" content="{TITLE}">
        <meta name="twitter:title" content="{TITLE}">
        <meta property="og:title" content="{TITLE}">
        <meta name="description" content="{PAGE_DESCRIPTION}">
        <meta itemprop="description" content="{PAGE_DESCRIPTION}">
        <meta name="twitter:description" content="{PAGE_DESCRIPTION}">
        <meta property="og:description" content="{PAGE_DESCRIPTION}">
        <meta itemprop="image" content="{META_IMAGE}">
        <meta name="twitter:image" content="{META_IMAGE}">
        <meta property="og:image" content="{META_IMAGE}">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="author" content="The Tempus Project">
        {ROBOT}
        <link rel="icon" href="{ROOT_URL}images/favicon.ico">
        <!-- Required CSS -->
    	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.7.1/css/all.min.css" crossorigin="anonymous" referrerpolicy="no-referrer">
        <link rel="stylesheet" href="{BOOTSTRAP_CDN}css/bootstrap.min.css" crossorigin="anonymous">
        <!-- RSS -->
        <link rel="alternate" href="{ROOT_URL}blog/rss" title="{TITLE} Feed" type="application/rss+xml">
        <!-- Custom styles for this template -->
        {TEMPLATE_CSS_INCLUDES}
    </head>
    <body>
		<!-- Navigation -->
        <header class="p-3 text-bg-dark">
            <div class="container">
                <div class="d-flex align-items-center position-relative">
                    <!-- Navbar Toggler (Left) -->
        
                    <!-- Centered Logo (Now inside normal document flow) -->
                    <a href="/" class="align-items-center text-white text-decoration-none d-flex d-md-none">
                        <img src="{ROOT_URL}images/logo.png" width="40" height="32" alt="{SITENAME} Logo" class="bi">
                    </a>
        
                    <!-- Logo (Normal Position for Large Screens) -->
                    <a href="/" class="align-items-center text-white text-decoration-none d-none d-md-flex">
                        <img src="{ROOT_URL}{LOGO}" height="48" alt="{SITENAME} Logo" class="bi">
                    </a>
        
                    <div class="navbar-expand-md flex-grow-1">
                        <div class="collapse navbar-collapse d-md-flex" id="mainMenu">
                            <!-- Centered Navigation -->
                            <div class="d-none d-md-block d-flex justify-content-center position-absolute start-50 translate-middle-x">
                                {topNavLeft}
                            </div>
                            <div class="d-flex justify-content-center flex-grow-1 d-md-none">
                                {topNavLeft}
                            </div>
        
                            <!-- Right-Side Content (Push to End) -->
                            <div class="d-flex flex-row justify-content-center align-items-center mt-3 mt-md-0 ms-md-auto">
                                {topNavRight}
                            </div>
                        </div> <!-- End Collapse -->
                    </div> <!-- End Navbar Expand -->
                    
                    <button class="me-3 d-md-none btn btn-md btn-outline-light" type="button" data-bs-toggle="collapse" data-bs-target="#mainMenu" aria-controls="mainMenu" aria-expanded="false" aria-label="Toggle navigation">
                        <i class="fa fa-bars"></i>
                    </button>
                </div>
            </div>
        </header>

        <div class="d-flex flex-column min-vh-100">
            <div class="flex-container flex-grow-1">
                {ISSUES}
                <div class="container pt-4">
                    <div class="row">
                        {ERROR}
                        {NOTICE}
                        {SUCCESS}
                        {INFO}
                    </div>
                </div>
                {/ISSUES}

			    <!-- Leading Content -->
                <div class="container">
                    {BLOGFEATURES}
                </div>

                <div class="pt-4">
                    <div class="container">
                        <h3 class="pb-4 mb-4 fst-italic border-bottom context-main-border">
                            {SITENAME} Blog
                        </h3>
                        <div class="d-md-flex g-5">
			                <!-- Main Content -->
                            <div class="col-12 col-md-8">
                                {CONTENT}
                            </div>
			                <!-- Sidebar Content -->
                            <div class="col-12 col-md-4">
                                <div class="position-sticky" style="top: 2rem;">
                                    <div class="ps-md-2 ps-lg-5">
                                        {SIDEBARABOUT}
                                    </div>
                                    <div class="ps-md-2 ps-lg-5">
                                        {SIDEBARSEARCH}
                                    </div>
                                    <div class="ps-md-2 ps-lg-5">
                                        {SIDEBAR}
                                    </div>
                                    <div class="ps-md-2 ps-lg-5">
                                        {SIDEBAR2}
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            {FOOT}
        </div>
        <!-- Bootstrap core JavaScript and jquery -->
        <script language="JavaScript" crossorigin="anonymous" type="text/javascript" src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js"></script>
        <script language="JavaScript" crossorigin="anonymous" type="text/javascript" src="{BOOTSTRAP_CDN}js/bootstrap.min.js"></script>
        <!-- Custom javascript for this template -->
        {TEMPLATE_JS_INCLUDES}
    </body>
</html>